---
name: Bug report (Mobile)
about: Report a bug with the mobile app version of Gutenberg
labels: Mobile App - i.e. Android or iOS

---

<!--
Please fill out ALL required sections. Bug reports with missing information will
be closed.

Before submitting a bug report:

- Check if the bug has already been fixed by updating WordPress and/or Gutenberg.
- Check if the bug is caused by a plugin by deactivating all plugins except Gutenberg.
- Check if the bug is caused by a theme by activating a default theme e.g. Twenty Twenty.
- Check if the bug has already been reported by searching https://github.com/WordPress/gutenberg/issues.

If this is a security issue, please report it in HackerOne instead:
https://hackerone.com/wordpress
-->

## Description
<!-- Please write a brief description of the bug. -->

## Step-by-step reproduction instructions
<!--
Please list the steps needed to reproduce the bug. For example:
1. Go to '...'
2. Click on '...'
3. Scroll down to '...'
-->

## Expected behaviour
<!-- Please describe what you expected to happen. -->

## Actual behaviour
<!-- Please describe what actually happened. -->

## Screenshots or screen recording (optional)
<!--
If possible, please upload a screenshot or screen recording which demonstrates
the bug. 
-->

## WordPress information
- WordPress version: <!-- e.g. "5.8.0". Find this in Tools → Site Health → Info → WordPress -->
- Gutenberg version: <!-- e.g. "9.4.0" or "Not installed" -->
- Are all plugins except Gutenberg deactivated? <!-- "Yes" or "No" -->
- Are you using a default theme (e.g. Twenty Twenty-One)? <!-- "Yes" or "No" -->

## Device information
- Device: <!-- e.g. "Pixel 4" or "iPhone 11" -->
- Operating system: <!-- e.g. "Android 11.0" or "iOS 14.0" -->
- WordPress app version: <!-- e.g. "16.3" or branch name / git commit hash -->
