# Keyboard Shortcuts

Keyboard shortcuts is a generic package that allows registering and modifying shortcuts.

## Installation

Install the module

```bash
npm install @wordpress/keyboard-shortcuts --save
```

_This package assumes that your code will run in an **ES2015+** environment. If you're using an environment that has limited or no support for such language features and APIs, you should include [the polyfill shipped in `@wordpress/babel-preset-default`](https://github.com/WordPress/gutenberg/tree/HEAD/packages/babel-preset-default#polyfill) in your code._

## API

<!-- START TOKEN(Autogenerated API docs) -->

### ShortcutProvider

Handles callbacks added to context by `useShortcut`.

_Parameters_

-   _props_ `Object`: Props to pass to `div`.

_Returns_

-   `import('@wordpress/element').WPElement`: Component.

### store

Store definition for the keyboard shortcuts namespace.

_Related_

-   <https://github.com/WordPress/gutenberg/blob/HEAD/packages/data/README.md#createReduxStore>

_Type_

-   `Object`

### useShortcut

Attach a keyboard shortcut handler.

_Parameters_

-   _name_ `string`: Shortcut name.
-   _callback_ `Function`: Shortcut callback.
-   _options_ `Object`: Shortcut options.
-   _options.isDisabled_ `boolean`: Whether to disable to shortut.

<!-- END TOKEN(Autogenerated API docs) -->

<br/><br/><p align="center"><img src="https://s.w.org/style/images/codeispoetry.png?1" alt="Code is Poetry." /></p>
